Bug 57992 - Floating Point Exception while building qt
Summary: Floating Point Exception while building qt
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-04 16:29 UTC by Bernhard Rosenkraenzer
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 16:29:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bzip2'ed preprocessor output at -O1 (36.97 KB, application/octet-stream)
2002-01-04 16:30 UTC, Bernhard Rosenkraenzer
no flags Details

Description Bernhard Rosenkraenzer 2002-01-04 16:29:49 UTC
Description of Problem:
While building qt-3.0.2-0.cvs20020104.1.src.rpm on alpha:

g++ -c -o msvc_dsp.o -O2 -I. -Igenerators -Igenerators/unix
-Igenerators/win32 -Igenerators/mac
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.2-cvs20020104/include
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.2-cvs20020104/include
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.2-cvs20020104/src/tools
-DQT_NO_TEXTCODEC -DQT_NO_COMPONENT -DQT_NO_STL
-I/usr/src/redhat/BUILD/qt-x11-free-3.0.2-cvs20020104/mkspecs/linux-g++
generators/win32/msvc_dsp.cpp
generators/win32/msvc_dsp.cpp: In member function `bool
   DspMakefileGenerator::writeDspParts(QTextStream&)':
generators/win32/msvc_dsp.cpp:445: internal error: Floating point exception
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):
3.1-0.14

How Reproducible:
100%

Steps to Reproduce:
1. ssh george
2. rpm --rebuild qt-3.0.2-0.cvs20020104.1.src.rpm

Additional Information:
Works with -O0, fails at any higher optimization level.

Comment 1 Bernhard Rosenkraenzer 2002-01-04 16:30:42 UTC
Created attachment 41793 [details]
bzip2'ed preprocessor output at -O1

Comment 3 Jakub Jelinek 2002-01-09 15:08:09 UTC
Should be fixed in gcc-3.1-0.17.


Note You need to log in before you can comment on or make changes to this bug.